Index: cpukit/rtems/inline/rtems/rtems/asr.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/asr.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/asr.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_ASR_H
+# error "Never use <rtems/rtems/asr.inl> directly; include <rtems/rtems/asr.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_ASR_INL
Index: cpukit/rtems/inline/rtems/rtems/attr.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/attr.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/attr.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -16,4 +16,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_ATTR_H
+# error "Never use <rtems/rtems/attr.inl> directly; include <rtems/rtems/attr.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_ATTR_INL
Index: cpukit/rtems/inline/rtems/rtems/barrier.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/barrier.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/barrier.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_BARRIER_H
+# error "Never use <rtems/rtems/barrier.inl> directly; include <rtems/rtems/barrier.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_BARRIER_INL
Index: cpukit/rtems/inline/rtems/rtems/dpmem.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/dpmem.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/dpmem.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_DPMEM_H
+# error "Never use <rtems/rtems/dpmem.inl> directly; include <rtems/rtems/dpmem.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_DPMEM_INL
Index: cpukit/rtems/inline/rtems/rtems/event.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/event.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/event.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -16,4 +16,8 @@
  */
 
+#ifndef _RTEMS_RTEMS_EVENT_H
+# error "Never use <rtems/rtems/event.inl> directly; include <rtems/rtems/event.h> instead."
+#endif
+
 #ifndef _RTEMS_RTEMS_EVENT_INL
 #define _RTEMS_RTEMS_EVENT_INL
Index: cpukit/rtems/inline/rtems/rtems/eventset.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/eventset.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/eventset.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -14,4 +14,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_EVENTSET_H
+# error "Never use <rtems/rtems/eventset.inl> directly; include <rtems/rtems/eventset.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_EVENTSET_INL
Index: cpukit/rtems/inline/rtems/rtems/message.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/message.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/message.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_MESSAGE_H
+# error "Never use <rtems/rtems/message.inl> directly; include <rtems/rtems/message.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_MESSAGE_INL
Index: cpukit/rtems/inline/rtems/rtems/modes.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/modes.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/modes.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_MODES_H
+# error "Never use <rtems/rtems/modes.inl> directly; include <rtems/rtems/modes.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_MODES_INL
Index: cpukit/rtems/inline/rtems/rtems/options.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/options.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/options.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_OPTIONS_H
+# error "Never use <rtems/rtems/options.inl> directly; include <rtems/rtems/options.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_OPTIONS_INL
Index: cpukit/rtems/inline/rtems/rtems/part.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/part.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/part.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_PART_H
+# error "Never use <rtems/rtems/part.inl> directly; include <rtems/rtems/part.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_PART_INL
Index: cpukit/rtems/inline/rtems/rtems/ratemon.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/ratemon.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/ratemon.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_RATEMON_H
+# error "Never use <rtems/rtems/ratemon.inl> directly; include <rtems/rtems/ratemon.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_RATEMON_INL
Index: cpukit/rtems/inline/rtems/rtems/region.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/region.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/region.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_REGION_H
+# error "Never use <rtems/rtems/region.inl> directly; include <rtems/rtems/region.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_REGION_INL
Index: cpukit/rtems/inline/rtems/rtems/sem.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/sem.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/sem.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_SEM_H
+# error "Never use <rtems/rtems/sem.inl> directly; include <rtems/rtems/sem.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_SEM_INL
Index: cpukit/rtems/inline/rtems/rtems/status.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/status.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/status.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_STATUS_H
+# error "Never use <rtems/rtems/status.inl> directly; include <rtems/rtems/status.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_STATUS_INL
Index: cpukit/rtems/inline/rtems/rtems/support.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/support.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/support.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -16,4 +16,8 @@
  */
  
+#ifndef _RTEMS_RTEMS_SUPPORT_H
+# error "Never use <rtems/rtems/support.inl> directly; include <rtems/rtems/support.h> instead."
+#endif
+
 #ifndef _RTEMS_RTEMS_SUPPORT_INL
 #define _RTEMS_RTEMS_SUPPORT_INL
Index: cpukit/rtems/inline/rtems/rtems/tasks.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/tasks.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/tasks.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_TASKS_H
+# error "Never use <rtems/rtems/tasks.inl> directly; include <rtems/rtems/tasks.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_TASKS_INL
Index: cpukit/rtems/inline/rtems/rtems/timer.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/timer.inl	(revision 07f20cb14b6f5049890df2ad0b1cd98923ead181)
+++ cpukit/rtems/inline/rtems/rtems/timer.inl	(revision 4d24fccb93aa44cf208076cbe96535a9e9dd0f83)
@@ -15,4 +15,8 @@
  *  $Id$
  */
+
+#ifndef _RTEMS_RTEMS_TIMER_H
+# error "Never use <rtems/rtems/timer.inl> directly; include <rtems/rtems/timer.h> instead."
+#endif
 
 #ifndef _RTEMS_RTEMS_TIMER_INL
